List AI Checks
curl --request GET \
--url https://eu.phrase.com/quality-evaluator/v1/aiChecks \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu.phrase.com/quality-evaluator/v1/aiChecks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.phrase.com/quality-evaluator/v1/aiChecks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"uid": "6804a3f2e1b2c3d4e5f60789",
"name": "No Yoda Speech",
"qualityRequirements": "The translation must not use Yoda-style inverted sentence structure."
},
{
"uid": "6804a3f2e1b2c3d4e5f6078a",
"name": "Formal Register",
"qualityRequirements": "The translation must use formal language and avoid colloquialisms."
}
]
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied"
}{
"type": "urn:problem-type:forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions to perform this action"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}AI Checks
List AI Checks
deprecated
Deprecated. Will be removed on October 12, 2026. AI Checks are now managed as Style Guide Rules attached to a Content Group.
Returns all AI Checks belonging to the caller’s organization, sorted by the requested field.
GET
/
v1
/
aiChecks
List AI Checks
Authorizations
Use a Bearer token obtained from Phrase Platform authentication. See the Authentication guide for details on how to obtain a token.
Query Parameters
Field to sort by.
Available options:
uid, name Sort order.
Available options:
asc, desc Response
List of AI Checks.
Show child attributes
Show child attributes
Was this page helpful?
⌘I